
Ruby - Misc #15617

Any chance we can ship 2.5.4 sooner rather than later?

02/22/2019 10:54 PM - sam.saffron (Sam Saffron)

Status: Closed   

Priority: Normal   

Assignee:    

Description

We started carrying code like this in Discourse due to #14634 breaking Queue after fork.

https://review.discourse.org/t/dev-disable-async-logging-in-development-on-broken-ruby/1829

I was wondering if there is any chance we can fast track a 2.5.4 release? This issue is quite severe cause there are quite a few

forking web servers out there (puma and unicorn) so the failure mode is common in the wild.

#14634 is already backported

History

#1 - 02/26/2019 05:58 PM - shevegen (Robert A. Heiler)

I guess this may be up to the release manager; perhaps he is a little bit

busy right now. You could consider adding it to the next upcoming developer

meeting ( https://bugs.ruby-lang.org/issues/15614 ) to get feedback whether

there may be any other difficulties (or to distinguish whether your issue

was not yet noticed, which I guess may also happen every now and then,

holidays, busy weeks and so forth).

#2 - 03/05/2019 03:06 AM - blowmage (Mike Moore)

We are also interested in seeing 2.5.4 released quickly, to get the #14561 backport.

#3 - 03/13/2019 03:07 PM - nagachika (Tomoyuki Chikanaga)

- Status changed from Open to Closed

Ruby 2.5.4 was released!

https://www.ruby-lang.org/ja/news/2019/03/13/ruby-2-5-4-released/

Thank you for your patience.

#4 - 03/13/2019 03:12 PM - nagachika (Tomoyuki Chikanaga)

I'm sorry the link in previous post was for Japanese.

English version is here.

https://www.ruby-lang.org/en/news/2019/03/13/ruby-2-5-4-released/
